(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     17736,        571]
NotebookOptionsPosition[     16519,        525]
NotebookOutlinePosition[     16886,        541]
CellTagsIndexPosition[     16843,        538]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[{
 RowBox[{"a", "=", 
  RowBox[{"Exp", "[", 
   RowBox[{"I", "*", "2", 
    RowBox[{"Pi", "/", "3"}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"ComplexExpand", "[", "a", "]"}]}], "Input"],

Cell[BoxData[
 SuperscriptBox["\[ExponentialE]", 
  FractionBox[
   RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]]], "Output",
 CellChangeTimes->{3.6030811183973904`*^9, 3.603382763136749*^9, 
  3.666595990701565*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", 
   FractionBox["1", "2"]}], "+", 
  FractionBox[
   RowBox[{"\[ImaginaryI]", " ", 
    SqrtBox["3"]}], "2"]}]], "Output",
 CellChangeTimes->{3.6030811183973904`*^9, 3.603382763136749*^9, 
  3.666595990701565*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"T", "=", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"1", ",", "1", ",", "1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SuperscriptBox["A", "2"], ",", "A", ",", "1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"A", ",", 
        SuperscriptBox["A", "2"], ",", "1"}], "}"}]}], "}"}], "/.", 
    RowBox[{"A", "\[Rule]", "a"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"MatrixForm", "[", "T", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Tinv", "=", 
   RowBox[{"Inverse", "[", "T", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"MatrixForm", "[", "%", "]"}], "//", "Simplify"}]}], "Input",
 CellChangeTimes->{{3.6665955670318623`*^9, 3.666595697681863*^9}, {
  3.666595787990264*^9, 3.666595914241064*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "1", "1"},
     {
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{"-", 
        FractionBox[
         RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]}]], 
      SuperscriptBox["\[ExponentialE]", 
       FractionBox[
        RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]], "1"},
     {
      SuperscriptBox["\[ExponentialE]", 
       FractionBox[
        RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]], 
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{"-", 
        FractionBox[
         RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]}]], "1"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.6665959965827646`*^9}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["1", "3"], 
      RowBox[{"-", 
       FractionBox["1", 
        RowBox[{"3", " ", 
         RowBox[{"(", 
          RowBox[{"1", "+", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"-", "1"}], ")"}], 
            RowBox[{"2", "/", "3"}]]}], ")"}]}]]}], 
      RowBox[{
       RowBox[{"-", 
        FractionBox["1", "6"]}], " ", "\[ImaginaryI]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "\[ImaginaryI]"}], "+", 
         SqrtBox["3"]}], ")"}]}]},
     {
      FractionBox["1", "3"], 
      RowBox[{
       RowBox[{"-", 
        FractionBox["1", "6"]}], " ", "\[ImaginaryI]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "\[ImaginaryI]"}], "+", 
         SqrtBox["3"]}], ")"}]}], 
      RowBox[{"-", 
       FractionBox["1", 
        RowBox[{"3", " ", 
         RowBox[{"(", 
          RowBox[{"1", "+", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"-", "1"}], ")"}], 
            RowBox[{"2", "/", "3"}]]}], ")"}]}]]}]},
     {
      FractionBox["1", "3"], 
      FractionBox["1", "3"], 
      FractionBox["1", "3"]}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.6665959965827646`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"potsouc", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "d01", ",", "dc1", ",", "dc1", ",", "dc12", ",", "dc12", ",", "dc12"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "dc1", ",", "d01", ",", "dc1", ",", "dc12", ",", "dc12", ",", "dc12"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "dc1", ",", "dc1", ",", "d01", ",", "dc12", ",", "dc12", ",", "dc12"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "dc12", ",", "dc12", ",", "dc12", ",", "d02", ",", "dc2", ",", "dc2"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "dc12", ",", "dc12", ",", "dc12", ",", "dc2", ",", "d02", ",", "dc2"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "dc12", ",", "dc12", ",", "dc12", ",", "dc2", ",", "dc2", ",", "d02"}], 
      "}"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"MatrixForm", "[", "potsouc", "]"}]}], "Input",
 CellChangeTimes->{{3.603382787449249*^9, 3.6033829168711233`*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"d01", "dc1", "dc1", "dc12", "dc12", "dc12"},
     {"dc1", "d01", "dc1", "dc12", "dc12", "dc12"},
     {"dc1", "dc1", "d01", "dc12", "dc12", "dc12"},
     {"dc12", "dc12", "dc12", "d02", "dc2", "dc2"},
     {"dc12", "dc12", "dc12", "dc2", "d02", "dc2"},
     {"dc12", "dc12", "dc12", "dc2", "dc2", "d02"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.6030811259174013`*^9, {3.6033829090586233`*^9, 3.603382917574249*^9}, 
   3.666595999312765*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"nula", "=", 
  RowBox[{"Table", "[", 
   RowBox[{"0", ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "3"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"j", ",", "3"}], "}"}]}], "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.603081130457407*^9, 3.6033829485898733`*^9, 
  3.6665960035559645`*^9}]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"T2", "=", 
   RowBox[{"ArrayFlatten", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"T", ",", "nula"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"nula", ",", "T"}], "}"}]}], "}"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Tinv2", "=", 
   RowBox[{"ArrayFlatten", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"Tinv", ",", "nula"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"nula", ",", "Tinv"}], "}"}]}], "}"}], "]"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.603081136267415*^9, 3.603081167557459*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MatrixForm", "[", "T2", "]"}]], "Input",
 CellChangeTimes->{3.666596019904765*^9}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "1", "1", "0", "0", "0"},
     {
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{"-", 
        FractionBox[
         RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]}]], 
      SuperscriptBox["\[ExponentialE]", 
       FractionBox[
        RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]], "1", "0", 
      "0", "0"},
     {
      SuperscriptBox["\[ExponentialE]", 
       FractionBox[
        RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]], 
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{"-", 
        FractionBox[
         RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]}]], "1", "0",
       "0", "0"},
     {"0", "0", "0", "1", "1", "1"},
     {"0", "0", "0", 
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{"-", 
        FractionBox[
         RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]}]], 
      SuperscriptBox["\[ExponentialE]", 
       FractionBox[
        RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]], "1"},
     {"0", "0", "0", 
      SuperscriptBox["\[ExponentialE]", 
       FractionBox[
        RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]], 
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{"-", 
        FractionBox[
         RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]}]], "1"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.603081173187467*^9, 3.603382955449249*^9, {3.666596017845565*^9, 
   3.666596020279165*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Tinv2", ".", "potsouc", ".", "T2"}], "//", "FullSimplify"}], "//",
   "MatrixForm"}]], "Input",
 CellChangeTimes->{{3.603382959292999*^9, 3.6033829623398733`*^9}, {
  3.603383247105499*^9, 3.6033832534961233`*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"d01", "-", "dc1"}], "0", "0", "0", "0", "0"},
     {"0", 
      RowBox[{"d01", "-", "dc1"}], "0", "0", "0", "0"},
     {"0", "0", 
      RowBox[{"d01", "+", 
       RowBox[{"2", " ", "dc1"}]}], "0", "0", 
      RowBox[{"3", " ", "dc12"}]},
     {"0", "0", "0", 
      RowBox[{"d02", "-", "dc2"}], "0", "0"},
     {"0", "0", "0", "0", 
      RowBox[{"d02", "-", "dc2"}], "0"},
     {"0", "0", 
      RowBox[{"3", " ", "dc12"}], "0", "0", 
      RowBox[{"d02", "+", 
       RowBox[{"2", " ", "dc2"}]}]}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.603081177347473*^9, 3.603382964011749*^9, 
  3.666596032961965*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"kapsouc", "=", 
   RowBox[{"Inverse", "[", "potsouc", "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.603383079699249*^9, 3.603383105730499*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"Tinv2", ".", "kapsouc", ".", "T2"}], "//", "FullSimplify"}], "//",
   "MatrixForm"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Inverse", "[", "%", "]"}], "//", "FullSimplify"}], "//", 
  "MatrixForm"}]}], "Input",
 CellChangeTimes->{{3.603383115386749*^9, 3.6033831156211233`*^9}, {
  3.603383256292999*^9, 3.603383308449249*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["1", 
       RowBox[{"d01", "-", "dc1"}]], "0", "0", "0", "0", "0"},
     {"0", 
      FractionBox["1", 
       RowBox[{"d01", "-", "dc1"}]], "0", "0", "0", "0"},
     {"0", "0", 
      FractionBox[
       RowBox[{"d02", "+", 
        RowBox[{"2", " ", "dc2"}]}], 
       RowBox[{
        RowBox[{
         RowBox[{"-", "9"}], " ", 
         SuperscriptBox["dc12", "2"]}], "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"d01", "+", 
           RowBox[{"2", " ", "dc1"}]}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{"d02", "+", 
           RowBox[{"2", " ", "dc2"}]}], ")"}]}]}]], "0", "0", 
      FractionBox[
       RowBox[{"3", " ", "dc12"}], 
       RowBox[{
        RowBox[{"9", " ", 
         SuperscriptBox["dc12", "2"]}], "-", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"d01", "+", 
           RowBox[{"2", " ", "dc1"}]}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{"d02", "+", 
           RowBox[{"2", " ", "dc2"}]}], ")"}]}]}]]},
     {"0", "0", "0", 
      FractionBox["1", 
       RowBox[{"d02", "-", "dc2"}]], "0", "0"},
     {"0", "0", "0", "0", 
      FractionBox["1", 
       RowBox[{"d02", "-", "dc2"}]], "0"},
     {"0", "0", 
      FractionBox[
       RowBox[{"3", " ", "dc12"}], 
       RowBox[{
        RowBox[{"9", " ", 
         SuperscriptBox["dc12", "2"]}], "-", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"d01", "+", 
           RowBox[{"2", " ", "dc1"}]}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{"d02", "+", 
           RowBox[{"2", " ", "dc2"}]}], ")"}]}]}]], "0", "0", 
      FractionBox[
       RowBox[{"d01", "+", 
        RowBox[{"2", " ", "dc1"}]}], 
       RowBox[{
        RowBox[{
         RowBox[{"-", "9"}], " ", 
         SuperscriptBox["dc12", "2"]}], "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"d01", "+", 
           RowBox[{"2", " ", "dc1"}]}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{"d02", "+", 
           RowBox[{"2", " ", "dc2"}]}], ")"}]}]}]]}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.6033831166523733`*^9, 3.603383274042999*^9, 
  3.6033833093711233`*^9, 3.6665960659871655`*^9}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"d01", "-", "dc1"}], "0", "0", "0", "0", "0"},
     {"0", 
      RowBox[{"d01", "-", "dc1"}], "0", "0", "0", "0"},
     {"0", "0", 
      RowBox[{"d01", "+", 
       RowBox[{"2", " ", "dc1"}]}], "0", "0", 
      RowBox[{"3", " ", "dc12"}]},
     {"0", "0", "0", 
      RowBox[{"d02", "-", "dc2"}], "0", "0"},
     {"0", "0", "0", "0", 
      RowBox[{"d02", "-", "dc2"}], "0"},
     {"0", "0", 
      RowBox[{"3", " ", "dc12"}], "0", "0", 
      RowBox[{"d02", "+", 
       RowBox[{"2", " ", "dc2"}]}]}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.6033831166523733`*^9, 3.603383274042999*^9, 
  3.6033833093711233`*^9, 3.666596066002765*^9}]
}, Open  ]]
},
WindowSize->{878, 783},
WindowMargins->{{Automatic, 42}, {35, Automatic}},
Magnification->1.25,
FrontEndVersion->"10.0 for Microsoft Windows (64-bit) (September 9, 2014)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[579, 22, 203, 5, 60, "Input"],
Cell[785, 29, 227, 5, 45, "Output"],
Cell[1015, 36, 252, 8, 61, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1304, 49, 823, 22, 110, "Input"],
Cell[2130, 73, 1203, 33, 114, "Output"],
Cell[3336, 108, 1742, 56, 138, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[5115, 169, 1034, 30, 129, "Input"],
Cell[6152, 201, 984, 24, 150, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[7173, 230, 220, 7, 36, "Input"],
Cell[7396, 239, 353, 10, 36, "Output"]
}, Open  ]],
Cell[7764, 252, 634, 21, 60, "Input"],
Cell[CellGroupData[{
Cell[8423, 277, 106, 2, 36, "Input"],
Cell[8532, 281, 1988, 54, 198, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[10557, 340, 261, 6, 36, "Input"],
Cell[10821, 348, 1164, 33, 150, "Output"]
}, Open  ]],
Cell[12000, 384, 180, 4, 36, "Input"],
Cell[CellGroupData[{
Cell[12205, 392, 394, 10, 60, "Input"],
Cell[12602, 404, 2708, 83, 226, "Output"],
Cell[15313, 489, 1190, 33, 207, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
