(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     12638,        418]
NotebookOptionsPosition[     11624,        378]
NotebookOutlinePosition[     11989,        394]
CellTagsIndexPosition[     11946,        391]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[{
 RowBox[{"a", "=", 
  RowBox[{"Exp", "[", 
   RowBox[{"I", "*", "2", 
    RowBox[{"Pi", "/", "3"}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"ComplexExpand", "[", "a", "]"}]}], "Input"],

Cell[BoxData[
 SuperscriptBox["\[ExponentialE]", 
  FractionBox[
   RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]]], "Output",
 CellChangeTimes->{3.6030811183973904`*^9, 3.6665955270334616`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", 
   FractionBox["1", "2"]}], "+", 
  FractionBox[
   RowBox[{"\[ImaginaryI]", " ", 
    SqrtBox["3"]}], "2"]}]], "Output",
 CellChangeTimes->{3.6030811183973904`*^9, 3.666595527049062*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"T", "=", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"1", ",", "1", ",", "1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SuperscriptBox["A", "2"], ",", "A", ",", "1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"A", ",", 
        SuperscriptBox["A", "2"], ",", "1"}], "}"}]}], "}"}], "/.", 
    RowBox[{"A", "\[Rule]", "a"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"MatrixForm", "[", "T", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Tinv", "=", 
   RowBox[{"Inverse", "[", "T", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"MatrixForm", "[", "%", "]"}], "//", "Simplify"}]}], "Input",
 CellChangeTimes->{{3.6665955670318623`*^9, 3.666595697681863*^9}, {
  3.666595787990264*^9, 3.666595914241064*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "1", "1"},
     {
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{"-", 
        FractionBox[
         RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]}]], 
      SuperscriptBox["\[ExponentialE]", 
       FractionBox[
        RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]], "1"},
     {
      SuperscriptBox["\[ExponentialE]", 
       FractionBox[
        RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]], 
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{"-", 
        FractionBox[
         RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]}]], "1"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.6665959148182645`*^9}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["1", "3"], 
      RowBox[{"-", 
       FractionBox["1", 
        RowBox[{"3", " ", 
         RowBox[{"(", 
          RowBox[{"1", "+", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"-", "1"}], ")"}], 
            RowBox[{"2", "/", "3"}]]}], ")"}]}]]}], 
      RowBox[{
       RowBox[{"-", 
        FractionBox["1", "6"]}], " ", "\[ImaginaryI]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "\[ImaginaryI]"}], "+", 
         SqrtBox["3"]}], ")"}]}]},
     {
      FractionBox["1", "3"], 
      RowBox[{
       RowBox[{"-", 
        FractionBox["1", "6"]}], " ", "\[ImaginaryI]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "\[ImaginaryI]"}], "+", 
         SqrtBox["3"]}], ")"}]}], 
      RowBox[{"-", 
       FractionBox["1", 
        RowBox[{"3", " ", 
         RowBox[{"(", 
          RowBox[{"1", "+", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"-", "1"}], ")"}], 
            RowBox[{"2", "/", "3"}]]}], ")"}]}]]}]},
     {
      FractionBox["1", "3"], 
      FractionBox["1", "3"], 
      FractionBox["1", "3"]}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.666595914833864*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Z", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "z1", ",", "m1", ",", "m1", ",", "m12", ",", "m12", ",", "m12"}], "}"}],
      ",", 
     RowBox[{"{", 
      RowBox[{
      "m1", ",", "z1", ",", "m1", ",", "m12", ",", "m12", ",", "m12"}], "}"}],
      ",", 
     RowBox[{"{", 
      RowBox[{
      "m1", ",", "m1", ",", "z1", ",", "m12", ",", "m12", ",", "m12"}], "}"}],
      ",", 
     RowBox[{"{", 
      RowBox[{
      "m12", ",", "m12", ",", "m12", ",", "z2", ",", "m2", ",", "m2"}], "}"}],
      ",", 
     RowBox[{"{", 
      RowBox[{
      "m12", ",", "m12", ",", "m12", ",", "m2", ",", "z2", ",", "m2"}], "}"}],
      ",", 
     RowBox[{"{", 
      RowBox[{
      "m12", ",", "m12", ",", "m12", ",", "m2", ",", "m2", ",", "z2"}], 
      "}"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"MatrixForm", "[", "Z", "]"}]}], "Input"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"z1", "m1", "m1", "m12", "m12", "m12"},
     {"m1", "z1", "m1", "m12", "m12", "m12"},
     {"m1", "m1", "z1", "m12", "m12", "m12"},
     {"m12", "m12", "m12", "z2", "m2", "m2"},
     {"m12", "m12", "m12", "m2", "z2", "m2"},
     {"m12", "m12", "m12", "m2", "m2", "z2"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.6030811259174013`*^9, 3.6665959278442645`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"nula", "=", 
  RowBox[{"Table", "[", 
   RowBox[{"0", ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "3"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"j", ",", "3"}], "}"}]}], "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.603081130457407*^9, 3.6665959292170644`*^9}]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"T2", "=", 
   RowBox[{"ArrayFlatten", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"T", ",", "nula"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"nula", ",", "T"}], "}"}]}], "}"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Tinv2", "=", 
   RowBox[{"ArrayFlatten", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"Tinv", ",", "nula"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"nula", ",", "Tinv"}], "}"}]}], "}"}], "]"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.603081136267415*^9, 3.603081167557459*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MatrixForm", "[", "T2", "]"}]], "Input",
 CellChangeTimes->{3.6665959437406645`*^9}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "1", "1", "0", "0", "0"},
     {
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{"-", 
        FractionBox[
         RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]}]], 
      SuperscriptBox["\[ExponentialE]", 
       FractionBox[
        RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]], "1", "0", 
      "0", "0"},
     {
      SuperscriptBox["\[ExponentialE]", 
       FractionBox[
        RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]], 
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{"-", 
        FractionBox[
         RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]}]], "1", "0",
       "0", "0"},
     {"0", "0", "0", "1", "1", "1"},
     {"0", "0", "0", 
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{"-", 
        FractionBox[
         RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]}]], 
      SuperscriptBox["\[ExponentialE]", 
       FractionBox[
        RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]], "1"},
     {"0", "0", "0", 
      SuperscriptBox["\[ExponentialE]", 
       FractionBox[
        RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]], 
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{"-", 
        FractionBox[
         RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]}]], "1"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.603081173187467*^9, {3.6665959310422645`*^9, 3.6665959440994644`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Tinv2", ".", "Z", ".", "T2"}], "//", "FullSimplify"}], "//", 
  "MatrixForm"}]], "Input"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{
       RowBox[{"-", "m1"}], "+", "z1"}], "0", "0", "0", "0", "0"},
     {"0", 
      RowBox[{
       RowBox[{"-", "m1"}], "+", "z1"}], "0", "0", "0", "0"},
     {"0", "0", 
      RowBox[{
       RowBox[{"2", " ", "m1"}], "+", "z1"}], "0", "0", 
      RowBox[{"3", " ", "m12"}]},
     {"0", "0", "0", 
      RowBox[{
       RowBox[{"-", "m2"}], "+", "z2"}], "0", "0"},
     {"0", "0", "0", "0", 
      RowBox[{
       RowBox[{"-", "m2"}], "+", "z2"}], "0"},
     {"0", "0", 
      RowBox[{"3", " ", "m12"}], "0", "0", 
      RowBox[{
       RowBox[{"2", " ", "m2"}], "+", "z2"}]}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.603081177347473*^9, 3.6665959486078644`*^9}]
}, Open  ]]
},
WindowSize->{878, 783},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
Magnification->1.25,
FrontEndVersion->"10.0 for Microsoft Windows (64-bit) (September 9, 2014)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[579, 22, 203, 5, 60, "Input"],
Cell[785, 29, 204, 4, 45, "Output"],
Cell[992, 35, 227, 7, 61, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1256, 47, 823, 22, 110, "Input"],
Cell[2082, 71, 1203, 33, 114, "Output"],
Cell[3288, 106, 1740, 56, 138, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[5065, 167, 913, 29, 106, "Input"],
Cell[5981, 198, 895, 22, 150, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[6913, 225, 220, 7, 36, "Input"],
Cell[7136, 234, 326, 9, 36, "Output"]
}, Open  ]],
Cell[7477, 246, 634, 21, 60, "Input"],
Cell[CellGroupData[{
Cell[8136, 271, 108, 2, 36, "Input"],
Cell[8247, 275, 1966, 53, 198, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[10250, 333, 136, 4, 36, "Input"],
Cell[10389, 339, 1219, 36, 207, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
